Skip to main content
GET
Get a specific material sourcing config version

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials. Exchange your client_id and client_secret for an access token scoped to the organisation that provides data access.

Headers

Cula-Organisation-Id
string
required

ID of the organisation the request operates on behalf of (e.g. org_...). Must be an organisation the API client has access to.

Example:

"org_01k83mfmhgchya944v86ryvhpq"

Path Parameters

version_id
string
required
Example:

"msccv_01kym9dwvb8naj2qn8nv5vh331"

id
string
required
Example:

"mscc_01kpteg39rde1m80740h6p2wb2"

Response

id
string
required

The ID of the config version.

Example:

"msccv_01kym9dwvb8naj2qn8nv5vh331"

config_id
string
required

The ID of the config this version belongs to.

Example:

"mscc_01kpteg39rde1m80740h6p2wb2"

name
string
required

Human-readable name of the config version.

Example:

"Biomass Sourcing"

published_at
string<date-time>
required

When this version was published.

Example:

"2026-01-15T08:00:00Z"

unified
boolean
required
deprecated

Deprecated: use output_configs instead.

Example:

true

data_point_configs
object[]
required

Data points that can be set on material sourcings created from this config. Included values might affect output containers.

output_configs
object[]
required

When managing material sourcings you can pass output_containers. Each container item must reference an output config from this output_configs list, defining which data points the specific container accepts.